% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/AllGenerics.R, R/mutators.R
\docType{methods}
\name{mutator}
\alias{mutator}
\alias{get}
\alias{set}
\alias{get_hash}
\alias{get_hash-method}
\alias{get_names}
\alias{get_names-method}
\alias{set_names<-}
\alias{set_names-method}
\alias{get_livetime}
\alias{get_livetime-method}
\alias{get_realtime}
\alias{get_realtime-method}
\alias{get_channels}
\alias{get_channels-method}
\alias{get_counts}
\alias{get_counts-method}
\alias{get_rates}
\alias{get_rates-method}
\alias{get_energy}
\alias{get_energy-method}
\alias{set_energy<-}
\alias{set_energy-method}
\alias{get_method}
\alias{get_method-method}
\alias{set_method<-}
\alias{set_method-method}
\alias{get_residuals}
\alias{get_residuals-method}
\alias{range_channels}
\alias{range_channels-method}
\alias{range_energy}
\alias{range_energy-method}
\alias{length,GammaSpectrum-method}
\alias{get_hash,GammaSpectrum-method}
\alias{get_names,GammaSpectrum-method}
\alias{get_livetime,GammaSpectrum-method}
\alias{get_realtime,GammaSpectrum-method}
\alias{get_channels,GammaSpectrum-method}
\alias{get_counts,GammaSpectrum-method}
\alias{get_rates,GammaSpectrum-method}
\alias{get_energy,GammaSpectrum-method}
\alias{range_energy,GammaSpectrum-method}
\alias{range_channels,GammaSpectrum-method}
\alias{get_method,Baseline-method}
\alias{set_method,Baseline-method}
\alias{get_hash,GammaSpectra-method}
\alias{get_names,GammaSpectra-method}
\alias{get_livetime,GammaSpectra-method}
\alias{get_realtime,GammaSpectra-method}
\alias{get_channels,GammaSpectra-method}
\alias{get_counts,GammaSpectra-method}
\alias{get_rates,GammaSpectra-method}
\alias{get_energy,GammaSpectra-method}
\alias{range_energy,GammaSpectra-method}
\alias{range_channels,GammaSpectra-method}
\alias{get_residuals,DoseRateModel-method}
\alias{get_hash,PeakPosition-method}
\alias{get_channels,PeakPosition-method}
\alias{get_energy,PeakPosition-method}
\alias{set_names<-,GammaSpectrum-method}
\alias{set_names,GammaSpectrum-method}
\alias{set_method<-,Baseline-method}
\alias{set_names<-,GammaSpectra-method}
\alias{set_name,GammaSpectra-method}
\alias{set_energy<-,PeakPosition,numeric-method}
\alias{set_energy,PeakPosition,numeric-method}
\title{Get or Set Parts of an Object}
\usage{
get_hash(x)

get_names(x)

set_names(x) <- value

get_livetime(x)

get_realtime(x)

get_channels(x)

get_counts(x)

get_rates(x)

get_energy(x, ...)

set_energy(x, ...) <- value

get_method(x)

set_method(x) <- value

get_residuals(x)

range_channels(x, ...)

range_energy(x, ...)

\S4method{length}{GammaSpectrum}(x)

\S4method{get_hash}{GammaSpectrum}(x)

\S4method{get_names}{GammaSpectrum}(x)

\S4method{get_livetime}{GammaSpectrum}(x)

\S4method{get_realtime}{GammaSpectrum}(x)

\S4method{get_channels}{GammaSpectrum}(x)

\S4method{get_counts}{GammaSpectrum}(x)

\S4method{get_rates}{GammaSpectrum}(x)

\S4method{get_energy}{GammaSpectrum}(x)

\S4method{range_energy}{GammaSpectrum}(x, na.rm = FALSE)

\S4method{range_channels}{GammaSpectrum}(x, na.rm = FALSE)

\S4method{get_method}{Baseline}(x)

\S4method{get_hash}{GammaSpectra}(x)

\S4method{get_names}{GammaSpectra}(x)

\S4method{get_livetime}{GammaSpectra}(x)

\S4method{get_realtime}{GammaSpectra}(x)

\S4method{get_channels}{GammaSpectra}(x)

\S4method{get_counts}{GammaSpectra}(x)

\S4method{get_rates}{GammaSpectra}(x)

\S4method{get_energy}{GammaSpectra}(x)

\S4method{range_energy}{GammaSpectra}(x, na.rm = FALSE)

\S4method{range_channels}{GammaSpectra}(x, na.rm = FALSE)

\S4method{get_residuals}{DoseRateModel}(x)

\S4method{get_hash}{PeakPosition}(x)

\S4method{get_channels}{PeakPosition}(x)

\S4method{get_energy}{PeakPosition}(x, expected = FALSE)

\S4method{set_names}{GammaSpectrum}(x) <- value

\S4method{set_method}{Baseline}(x) <- value

\S4method{set_names}{GammaSpectra}(x) <- value

\S4method{set_energy}{PeakPosition,numeric}(x, expected = TRUE) <- value
}
\arguments{
\item{x}{An object from which to get or set element(s).}

\item{value}{A possible value for the element(s) of \code{x}.}

\item{...}{Currently not used.}

\item{na.rm}{A \code{\link{logical}} scalar: should \code{\link{NA}} be omitted?}

\item{expected}{TODO.}
}
\value{
An object of the same sort as \code{x} with the new values assigned.
}
\description{
Getters and setters to extract or replace parts of an object.
}
\seealso{
Other mutator: 
\code{\link{subset}()}
}
\author{
N. Frerebeau
}
\concept{mutator}
