% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/AllGenerics.R, R/signal_stabilize.R
\docType{methods}
\name{signal_stabilize}
\alias{signal_stabilize}
\alias{signal_stabilize-method}
\alias{signal_stabilize,GammaSpectrum-method}
\alias{signal_stabilize,GammaSpectra-method}
\title{Transform Intensities}
\usage{
signal_stabilize(object, ...)

\S4method{signal_stabilize}{GammaSpectrum}(object, f, ...)

\S4method{signal_stabilize}{GammaSpectra}(object, f, ...)
}
\arguments{
\item{object}{A \linkS4class{GammaSpectrum} object.}

\item{...}{Extra arguments to be passed to \code{f}.}

\item{f}{A \code{\link{function}} that takes a numeric vector as
argument and returns a numeric vector.}
}
\value{
A \linkS4class{GammaSpectrum} or \linkS4class{GammaSpectra} object with
transformed intensities.
}
\description{
Transform Intensities
}
\details{
The stabilization step aims at improving the identification of peaks with a
low signal-to-noise ratio. This particularly targets higher energy peaks.
}
\seealso{
Other signal processing: 
\code{\link{baseline}},
\code{\link{peaks_find}()},
\code{\link{peaks_search}()},
\code{\link{signal_integrate}()},
\code{\link{signal_slice}()},
\code{\link{signal_split}()},
\code{\link{smooth}()}
}
\author{
N. Frerebeau
}
\concept{signal processing}
