% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/AllGenerics.R, R/subset.R
\docType{methods}
\name{subset}
\alias{subset}
\alias{[[,GammaSpectrum-method}
\alias{[,GammaSpectra-method}
\alias{[[,DoseRateModel-method}
\alias{[[,CalibrationCurve-method}
\alias{[[,PeakPosition-method}
\title{Extract or Replace Parts of an Object}
\usage{
\S4method{[[}{GammaSpectrum}(x, i)

\S4method{[}{GammaSpectra}(x, i, j)

\S4method{[[}{DoseRateModel}(x, i)

\S4method{[[}{CalibrationCurve}(x, i)

\S4method{[[}{PeakPosition}(x, i)
}
\arguments{
\item{x}{An object from which to extract element(s) or in which to
replace element(s).}

\item{i, j}{Indices specifying elements to extract or replace. Indices are
\code{\link{numeric}}, \code{\link{integer}} or \code{\link{character}} vectors or empty (missing) or
\code{NULL}. Numeric values are coerced to \code{\link{integer}} as by \code{\link[=as.integer]{as.integer()}} (and
hence truncated towards zero). Character vectors will be matched to the name
of the elements. An empty index (a comma separated blank) indicates that all
entries in that dimension are selected.}
}
\value{
A subsetted object.
}
\description{
Operators acting on objects to extract or replace parts.
}
\seealso{
Other mutator: 
\code{\link{mutator}}
}
\author{
N. Frerebeau
}
\concept{mutator}
